package com.gic.haoban.manage.service.pojo.bo;

import com.gic.haoban.base.api.common.BasePageInfo;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 列表查询VO
 * @Author: wenhua
 * @Date: 2023/5/17 10:45
 */
public class StaffListBO implements Serializable {
    /**
     * 部门id
     */
    private String departmentId;
    /**
     * 激活状态 - 后期删除
     */
    private Integer activeFlag;
    /**
     * 关联状态
     */
    private Integer relationFlag;
    /**
     * 关键字
     */
    private String keyWord;
    /**
     * 许可状态  0 未激活，1 正常有效，2 即将过期，3 已过期，可多传，按‘,’隔开
     */
    private String permitState;
    /**
     * 其他占用许可页面标志，传1返回该页面数据
     */
    private Integer occupy;
    /**
     * 排序字段  不传默认create_time
     */
    private String sortField = "create_time";
    /**
     * 排序类型  不传默认desc
     */
    private String sortType = "desc";
    /**
     * 所属商户id
     */
    private String enterpriseIdParam;
    /**
     * 分页参数
     */
    private BasePageInfo pageInfo;

    /**
     * 企业微信id
     */
    private String WxEnterpriseId;
    /**
     * 部门id数组
     */
    private List<String> departmentIds;
    /**
     * 关联成员id数组
     */
    private List<String> staffIds;

    public List<String> getStaffIds() {
        return staffIds;
    }

    public void setStaffIds(List<String> staffIds) {
        this.staffIds = staffIds;
    }

    public List<String> getDepartmentIds() {
        return departmentIds;
    }

    public void setDepartmentIds(List<String> departmentIds) {
        this.departmentIds = departmentIds;
    }

    public String getWxEnterpriseId() {
        return WxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        WxEnterpriseId = wxEnterpriseId;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public Integer getActiveFlag() {
        return activeFlag;
    }

    public void setActiveFlag(Integer activeFlag) {
        this.activeFlag = activeFlag;
    }

    public Integer getRelationFlag() {
        return relationFlag;
    }

    public void setRelationFlag(Integer relationFlag) {
        this.relationFlag = relationFlag;
    }

    public String getKeyWord() {
        return keyWord;
    }

    public void setKeyWord(String keyWord) {
        this.keyWord = keyWord;
    }

    public String getPermitState() {
        return permitState;
    }

    public void setPermitState(String permitState) {
        this.permitState = permitState;
    }

    public Integer getOccupy() {
        return occupy;
    }

    public void setOccupy(Integer occupy) {
        this.occupy = occupy;
    }

    public String getSortField() {
        return sortField;
    }

    public void setSortField(String sortField) {
        this.sortField = sortField;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    public String getEnterpriseIdParam() {
        return enterpriseIdParam;
    }

    public void setEnterpriseIdParam(String enterpriseIdParam) {
        this.enterpriseIdParam = enterpriseIdParam;
    }

    public BasePageInfo getPageInfo() {
        return pageInfo;
    }

    public void setPageInfo(BasePageInfo pageInfo) {
        this.pageInfo = pageInfo;
    }
}
